## Accessing Generalized Linear Model Fits

## Usage

    summary(object, dispersion = NULL, correlation = FALSE,
            na.action = na.omit)
    anova(object, ..., test = NULL, na.action = na.omit)
    anova.glmlist(object, test = NULL, na.action = na.omit)
    coefficients(x) ; coef(x)
    df.residual(x)
    family(x)
    fitted.values(x) ; fitted(x)
    residuals(x, type="deviance")

    print.summary(summary.glm.obj, digits = max(3, .Options$digits - 3),
                  na.print="", symbolic.cor = p > 4,
    	      signif.stars= .Options$show.signif.stars, ...)

## Arguments

`object, x` | an object of class `glm`, typically the result of `glm(..)`.
`dispersion` | the dispersion parameter for the fitting family. By default it is obtained from `glm.obj`.
`correlation` | logical; if `TRUE`, the correlation matrix of the estimated parameters is returned and printed.
`type` | the type of residuals which should be returned. The alternatives are: `"deviance"`, `"pearson"`, `"working"`, `"response"`.

## Description

These functions are all `methods` for class `glm` or `summary.glm` and `anova.glm` objects.

`anova.glmlist` is called from `anova.glm` for comparison of several `glm` models.

## Value

The function `summary.` can be used to obtain or print a summary of the results and the function `anova` and be used to produce and analysis of variance table.

## See Also

`glm` for computing `glm.obj`; the corresponding generic functions, `summary`, `anova`, `coefficients`, `deviance`, `effects`, `fitted.values`, `residuals`.

## Examples

    ## --- Continuing the Example from  ``?glm'':

    ## --- Continuing the Example from  ``?glm'':

    summary(glm.D93)
    anova(glm.D93)
    anova(glm.D93, test = "Cp")

    summary(glm.D93)
    anova(glm.D93)
    anova(glm.D93, test = "Cp")

[Package Contents]